Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040097
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-02-01 08:272019-02-05 16:09
Reporterranjith_qualiantech_comView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revision45f0cff44855
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression levelPackaging and release
Regression date2018-07-16
Regression introduced in releaseRR18Q4
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/450419c5e98e [^]
Triggers an Emergency PackNo
Summary

0040097: JS Error when searching with disabled filter in Open Receipt Selector

DescriptionIn the Open Receipt Selector, if Customer filter is disabled by preference and try to filter receipt, JS occurs
Uncaught TypeError: Cannot read property 'getProperties' of undefined
    at getProperty (c7e92667701ffe82d875448b45b5ce5b.js:46849)
    at errorCallback (c7e92667701ffe82d875448b45b5ce5b.js:46872)
Steps To ReproduceBackoffice
1) Add Preference to Disable Customer Filter in Order Selector
POS
1) Open "Open Receipt" from MENU
2) Apply Customer filter
3) Do Search
TagsNo tags attached.
Attached Filespatch file icon issue 40097 posterminal fix.patch [^] (1,380 bytes) 2019-02-01 08:28 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0040086 closedranjith_qualiantech_com In remote mode, the search on advance BP selector does not clear the filters 
depends on backport 0040148RR19Q1 closedranjith_qualiantech_com JS Error when searching with disabled filter in Open Receipt Selector 
depends on backport 0040149RR18Q4.2 closedranjith_qualiantech_com JS Error when searching with disabled filter in Open Receipt Selector 

-  Notes
(0109443)
hgbot (developer)
2019-02-02 07:35

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 45f0cff448555981c550e4b7d2fc42eadf745a70
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Sat Feb 02 12:04:47 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/45f0cff448555981c550e4b7d2fc42eadf745a70 [^]

Fixed issue 40097 : Refactored FilterSelector searchAction getProperty functions to get owner scope access

* Replaced this with me in getProperty functions

---
M web/org.openbravo.retail.posterminal/js/components/modalorderselector.js
---
(0109590)
jorge-garcia (developer)
2019-02-05 15:43

Reopened to create backports
(0109591)
jorge-garcia (developer)
2019-02-05 16:09

Code reviewed and tested

- Issue History
Date Modified Username Field Change
2019-02-01 08:27 ranjith_qualiantech_com New Issue
2019-02-01 08:27 ranjith_qualiantech_com Assigned To => ranjith_qualiantech_com
2019-02-01 08:27 ranjith_qualiantech_com Regression level => Packaging and release
2019-02-01 08:27 ranjith_qualiantech_com Regression date => 2018-07-16
2019-02-01 08:27 ranjith_qualiantech_com Regression introduced in release => RR18Q4
2019-02-01 08:27 ranjith_qualiantech_com Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/450419c5e98e [^]
2019-02-01 08:27 ranjith_qualiantech_com Triggers an Emergency Pack => No
2019-02-01 08:28 ranjith_qualiantech_com Status new => scheduled
2019-02-01 08:28 ranjith_qualiantech_com Relationship added related to 0040086
2019-02-01 08:28 ranjith_qualiantech_com File Added: issue 40097 posterminal fix.patch
2019-02-02 07:35 hgbot Checkin
2019-02-02 07:35 hgbot Note Added: 0109443
2019-02-02 07:35 hgbot Status scheduled => resolved
2019-02-02 07:35 hgbot Resolution open => fixed
2019-02-02 07:35 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/45f0cff448555981c550e4b7d2fc42eadf745a70 [^]
2019-02-05 15:43 jorge-garcia Note Added: 0109590
2019-02-05 15:43 jorge-garcia Status resolved => new
2019-02-05 15:43 jorge-garcia Resolution fixed => open
2019-02-05 15:43 jorge-garcia Status new => scheduled
2019-02-05 15:43 jorge-garcia Status scheduled => resolved
2019-02-05 15:43 jorge-garcia Fixed in Version => RR19Q2
2019-02-05 15:43 jorge-garcia Resolution open => fixed
2019-02-05 16:09 jorge-garcia Review Assigned To => jorge-garcia
2019-02-05 16:09 jorge-garcia Note Added: 0109591
2019-02-05 16:09 jorge-garcia Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker